#pragma once

#include "util.h"
#include "hashmap.h"

void insert_lru_list(int c, Pair *list[], Pair *val, int ts, bool prewarming, bool insert_at_head);

void delete_lru_list(int c, Pair *list[], Pair *val, bool prewarming);

Pair *evict_lru_list(int c, Pair *list[], bool prewarming,long &evct_count_prewarmed);

//void insert_lfu_list(int c, LFUList **list, Pair *val);

//void update_lfu_list(int c, LFUList **list, Pair *val);

//void delete_lfu_list(int c, LFUList **list, Pair *val);

//Pair *evict_lfu_list(int c, LFUList **list);
